%global pypi_name weakrefmethod

Name:           python-%{pypi_name}
Version:        1.0
Release:        1%{?dist}
Summary:        A WeakMethod class for storing bound methods using weak references

License:        Python
URL:            https://github.com/twang817/weakrefmethod
Source0:        https://github.com/twang817/%{pypi_name}/archive/%{version}.tar.gz
BuildArch:      noarch

%description
Python 3.4 include a ``WeakMethod`` class, for storing bound methods using weak
references 
(see the `Python weakref module 
<http://docs.python.org/library/weakref.html>`_).

This project is a backport of the WeakMethod class, and tests, for Python 2.6.
The tests require the `unittest2 package
<http://pypi.python.org/pypi/unittest2>`_.

%package -n     python2-%{pypi_name}
Summary:        A WeakMethod class for storing bound methods using weak references
%{?python_provide:%python_provide python2-%{pypi_name}}

BuildRequires:  python2-devel
BuildRequires:  python-setuptools
BuildRequires:  python-unittest2

Requires:       python-setuptools
%description -n python2-%{pypi_name}
Python 3.4 include a ``WeakMethod`` class, for storing bound methods using weak
references
(see the `Python weakref module 
<http://docs.python.org/library/weakref.html>`_).

This project is a backport of the WeakMethod class, and tests, for Python 2.6.
The tests require the `unittest2 package 
<http://pypi.python.org/pypi/unittest2>`_.


%prep
%autosetup -n %{pypi_name}-%{version}

%build
%py2_build


%install

%py2_install

%check
%{__python2} setup.py test

%files -n python2-%{pypi_name} 
%doc README.rst DESCRIPTION.rst
# LICENSE file is missing from source.
# https://github.com/twang817/weakrefmethod/issues/2
# %license LICENSE
%{python2_sitelib}/%{pypi_name}.py*
%{python2_sitelib}/*.egg-info

%changelog
* Tue Oct 06 2015 chandankumar <chkumar246@gmail.com> - 1.0.1-1
- Initial package.
